<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
    $odno_redux_demo = get_option('redux_demo');
    get_header(); 
?> 
<div class="section-lg error">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-1 fw-bold stroke-text hero-text">
                    <?php if(isset($odno_redux_demo['404_heading'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($odno_redux_demo['404_heading']));?>
                    <?php }else{?>
                    <?php echo esc_html__( '404', 'odno' );
                    }
                    ?>
                </h1>
                <h2 class="fw-light">
                    <?php if(isset($odno_redux_demo['404_description'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($odno_redux_demo['404_description']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Sorry, It appears that the page you were looking for does not exist or might have been moved.', 'odno' );
                    }
                    ?>
                </h2>
                <a class="button button-lg mt-4" href="<?php echo esc_url(home_url('/')); ?>">
                    <?php if(isset($odno_redux_demo['404_button'])){?>
                    <?php echo wp_specialchars_decode(esc_attr($odno_redux_demo['404_button']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Back To Home', 'odno' );
                    }
                    ?> 
                </a>
            </div>
        </div><!-- end row -->
    </div><!-- end container-->
</div>
<?php
  get_footer();
?> 