<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
    <div class="cooment-s-header mb-30">
        <h2 class="title"><?php comments_number( esc_html__('0 Comments', 'odno'), esc_html__('1 Comment', 'odno'), esc_html__('% Comments', 'odno') ); ?></h2>
    </div>
    <!-- Comment List -->
    <ul>
        <?php wp_list_comments('callback=odno_theme_comment'); ?>
    </ul>

    <?php
        if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
    <div class="pagination_area">
        <nav>
            <ul class="pagination">
                <li> <?php paginate_comments_links( 
                        array(
                        'prev_text' => wp_specialchars_decode(esc_html__( '<i class="bi bi-arrow-left"></i>', 'odno' ),ENT_QUOTES),
                        'next_text' => wp_specialchars_decode(esc_html__( '<i class="bi bi-arrow-right"></i>', 'odno' ),ENT_QUOTES),
                        ));  
                    ?>
                </li>
            </ul>
       </nav>
    </div>
    <?php endif; ?>
    <!-- END PAGINATION --> 
    <?php endif; ?>  
    <div class="comment-form-full mt-40">
        <?php
          if ( is_singular() ) wp_enqueue_script( "comment-reply" );
              $aria_req = ( $req ? " aria-required='true'" : '' );
              $comment_args = array(       
                'class_form' => 'odno-contact-form row',                         
                'title_reply'=> esc_html__( 'Leave a comment', 'odno' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' =>   ' <div class="col-lg-6">
                                        <div class="single-field">
                                            <label for="yourname">Your Name</label>
                                            <input type="text" placeholder="'.esc_attr__('Name *', 'odno').'" name="author"
                                                id="yourname">
                                        </div>
                                    </div>',

                    'email' =>    ' <div class="col-lg-6">
                                        <div class="single-field">
                                            <label for="youremail">Your Email</label>
                                            <input type="email" placeholder="'.esc_attr__('Email *', 'odno').'" name="email"
                                                id="yourname">
                                        </div>
                                    </div>',

                ) ),   
                'comment_field' => '<div class="col-lg-12">
                                        <div class="single-field">
                                            <label for="message">Message</label>
                                            <textarea name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write a comment...', 'odno').'" required="required" data-error="Please,leave us a message."
                                                cols="30" rows="10"></textarea>
                                        </div>
                                    </div>',   

                'label_submit' => esc_html__( 'Post a comment', 'odno' ),
                'submit_button' =>'<button type="submit" class="button-1"><span>'.esc_attr__(' %4$s', 'odno').'</span><i
                                                        class="fa-solid fa-arrow-right"></i></button>',
                'submit_field' =>   '<div class="col-lg-12 mt-30"><div class="single-field">
                                        %1$s %2$s
                                    </div></div>',
                'comment_notes_before' => '',
                'comment_notes_after' => '',                 
              )
        ?>
        
        <?php if ( comments_open() ) : ?>
          <?php comment_form($comment_args); ?>
        <?php endif; ?> 
    </div>