<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $odno_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($odno_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($odno_redux_demo['favicon']['url']); ?>">
    <?php }?>
    
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" data-preloader="true" <?php body_class(); ?>>

        <div class="header with-placeholder">
            <div class="container-fluid">
                <!-- Logo -->
                <?php if(isset($odno_redux_demo['logo']['url']) && $odno_redux_demo['logo']['url'] != ''){?>
                <div class="header-logo">
                    <h2 class="uppercase letter-spacing-1"><a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($odno_redux_demo['logo']['url']); ?>" alt="..."></a></h2>
                </div>
                <?php }elseif(isset($odno_redux_demo['logo_text']) && $odno_redux_demo['logo_text'] != ''){ ?> 
                <div class="header-logo">
                    <h2 class="uppercase letter-spacing-1"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_attr($odno_redux_demo['logo_text']); ?></a></h2>
                </div>
                <?php }else{ ?> 
                <div class="header-logo">
                    <h2 class="uppercase letter-spacing-1"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'odno', 'archite' ); ?></a></h2>
                </div>
                <?php } ?>
                <!-- Menu -->
                <div class="header-menu">
                    <?php 
                          wp_nav_menu( 
                          array( 
                                'theme_location' => 'primary',
                                'container' => '',
                                'menu_class' => '', 
                                'menu_id' => '',
                                'menu'            => '',
                                'container_class' => '',
                                'container_id'    => '',
                                'echo'            => true,
                                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                'walker'            => new odno_wp_bootstrap_navwalker(),
                                'before'          => '',
                                'after'           => '',
                                'link_before'     => '',
                                'link_after'      => '',
                                'items_wrap'      => '<ul  class="nav %2$s">%3$s</ul>',
                                'depth'           => 0,        
                            )
                    ); ?>
                    <!-- Mobile Menu Close button -->
                    <button id="menu-close" class="button-circle button-circle-sm">
                        <i class="bi bi-x-lg"></i>
                    </button>
                </div>
                <!-- Mobile Menu Toggle -->
                <button class="menu-toggle">
                    Menu
                    <span></span>
                </button>
            </div><!-- end container-fluid -->
        </div>
        <!-- end Header -->