<?php

add_action( 'init', 'register_odno_Portfolio' );
function register_odno_Portfolio() {
    
$labels = array( 
    'name' => __( 'Portfolio', 'odno' ),
    'singular_name' => __( 'Portfolio', 'odno' ),
    'add_new' => __( 'Add New Portfolio', 'odno' ),
    'add_new_item' => __( 'Add New Portfolio', 'odno' ),
    'edit_item' => __( 'Edit Portfolio', 'odno' ),
    'new_item' => __( 'New Portfolio', 'odno' ),
    'view_item' => __( 'View Portfolio', 'odno' ),
    'search_items' => __( 'Search Portfolio', 'odno' ),
    'not_found' => __( 'No Portfolio found', 'odno' ),
    'not_found_in_trash' => __( 'No Portfolio found in Trash', 'odno' ),
    'parent_item_colon' => __( 'Parent Portfolio:', 'odno' ),
    'menu_name' => __( 'Portfolio', 'odno' ),
);

$args = array( 
    'labels' => $labels,
    'hierarchical' => true,
    'description' => 'List Portfolio',
    'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
    'taxonomies' => array( 'Portfolio', 'Type2','category3' ),
    'public' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'menu_position' => 5,
    'menu_icon' => 'dashicons-id-alt', 
    'show_in_nav_menus' => true,
    'publicly_queryable' => true,
    'exclude_from_search' => false,
    'has_archive' => true,
    'query_var' => true,
    'can_export' => true,
    'rewrite' => true,
    'capability_type' => 'post'
);

register_post_type( 'Portfolio', $args );
}
add_action( 'init', 'create_Type2_hierarchical_taxonomy', 0 );

add_action( 'init', 'create_Category3_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_Type2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

$labels = array(
    'name' => __( 'Type2', 'odno' ),
    'singular_name' => __( 'Type2', 'odno' ),
    'search_items' =>  __( 'Search Type2','odno' ),
    'all_items' => __( 'All Type2','odno' ),
    'parent_item' => __( 'Parent Type2','odno' ),
    'parent_item_colon' => __( 'Parent Type2:','odno' ),
    'edit_item' => __( 'Edit Type2','odno' ), 
    'update_item' => __( 'Update Type2','odno' ),
    'add_new_item' => __( 'Add New Type2','odno' ),
    'new_item_name' => __( 'New Type2 Name','odno' ),
    'menu_name' => __( 'Type2','odno' ),
  );     

// Now register the taxonomy

  register_taxonomy('Type2',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'Type2' ),
  ));

}

function create_Category3_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'roofline' ),
    'singular_name' => __( 'Category', 'roofline' ),
    'search_items' =>  __( 'Search Category','roofline' ),
    'all_items' => __( 'All Category','roofline' ),
    'parent_item' => __( 'Parent Category','roofline' ),
    'parent_item_colon' => __( 'Parent Category:','roofline' ),
    'edit_item' => __( 'Edit Category','roofline' ), 
    'update_item' => __( 'Update Category','roofline' ),
    'add_new_item' => __( 'Add New Category','roofline' ),
    'new_item_name' => __( 'New Category Name','roofline' ),
    'menu_name' => __( 'Category','roofline' ),
  );     

// Now register the taxonomy

  register_taxonomy('category3',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category3' ),
  ));

}


?>