<?php
     $odno_redux_demo = get_option('redux_demo');
     get_header(); 
?>

<!-- Blog Posts -->
<div class="section-lg">
    <div class="container">
		<div class="row mb-5">
            <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                <h1 class="display-4 fw-normal">
                    <?php printf( esc_html__( 'Search Results for : %s', 'asurex2' ), get_search_query() ); ?>
                </h1>
            </div>
        </div><!-- end row -->
        <div class="row g-5">
            <div class="col-12 col-lg-7 col-xl-8">
                <div class="row g-5 pe-xl-5">
                    <?php   if ( have_posts() ) :
							while (have_posts()): the_post();
					?>
                    <!-- Blog Post 1 -->
                    <div class="col-12">
                        <div class="blog-post-box">
							<?php if ( has_post_thumbnail() ) { ?>
                            <div class="blog-img">
                                <a class="blog-img-link" href="<?php the_permalink(); ?>">
                                    <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                                </a>
                                <div class="blog-category">
                                    <?php 
									// Show all category for post
									$i = 1; foreach((get_the_category()) as $category) { 
										if ($i == 1){echo ''; }else {echo '  ';}
										echo '<a class = "button button-sm button-style-2 button-font-2" title="'.$category->name . '" >'.$category->name . ' '.'</a>'; 
										$i++;
									} ?>
                                </div>
                            </div>
							
                            <?php } ?>
                            <div class="pt-4">
                                <ul class="list-inline-dot sm-heading mb-2">
                                    <li><a class="link-hover" href="#"><?php the_author_posts_link(); ?></a></li>
                                    <li><a class="link-hover" href="<?php the_permalink(); ?>"><?php the_time(get_option('date_format')); ?></a></li>
                                </ul>
                                <h2>
                                    <a class="link-hover-2" href="<?php the_permalink(); ?>">
                                        <?php the_title(); ?>
                                    </a>
                                </h2>
                                <p><?php if(isset($odno_redux_demo['blog_excerpt'])){?>
                                    <?php echo esc_attr(odno_excerpt($odno_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                    <?php echo esc_attr(odno_excerpt(50)); } ?></p>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; else :?>
                            <div class="search-custom" >
                              <h4>
                              <?php
                              // If no content, include the "No posts found" template.
                              echo esc_html__( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'odno' ) ;?>
                              </h4>
                              <?php get_search_form();?>
                            </div>
                  <?php endif;?>
                </div><!-- end row(inner) -->
            </div>
            <div class="col-12 col-lg-5 col-xl-4">
                <?php get_sidebar(); ?>
            </div>
        </div><!-- end row -->
    </div><!-- end container -->
</div>
<!-- end Blog Posts -->
<?php
    get_footer();
?>