<?php
     $odno_redux_demo = get_option('redux_demo');
     get_header(); 
?>

<!-- Portfolio -->
    <div class="section-lg">
        <div class="container">
			<div class="row mb-5">
                <div class="col-12 col-lg-10 offset-lg-1 col-xl-8 offset-xl-2">
                    <h1 class="display-4 fw-normal">
                        <?php printf( esc_html__( 'Type : %s', 'odno' ), single_cat_title( '', false ) ); ?>
                    </h1>
                </div>
            </div><!-- end row -->
            <div class="row g-4 gy-md-5 g-lg-5 portfolio-grid">
                <?php 
                        $args = new \WP_Query(array(   
                                    'post_type' => 'portfolio', 
                                ));  
                        while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
                    ?>
                <!-- Portfolio Item 1 -->
                <div class="col-12 col-md-6 portfolio-item category-marketing category-photoshoot">
                    <div class="portfolio-box">
                        <!-- Image -->
                        <div class="portfolio-img">
                            <a href="<?php the_permalink(); ?>">
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                            </a>
                        </div>
                        <div class="pt-4">
                            <!-- Categories -->
                            <ul class="list-inline-dot sm-heading mb-2">
                                <?php 
                                $categories = get_the_terms($post->ID, 'Type2');
                                foreach((array)$categories as $cat){
                                    $cat_name = $cat->name;
                                    $cat_slug = $cat->slug;
                                ?>
                                <li>
                                    <a class="link-hover" href="<?php echo esc_url( get_category_link( $cat->term_id ) ); ?>"><?php echo esc_attr($cat_name);?></a>
                                </li>
                                <?php } ?>
                            </ul>
                            <!-- Caption -->
                            <h2>
                                <a class="link-hover-2" href="<?php the_permalink(); ?>">
                                    <?php the_title(); ?>
                                </a>
                            </h2>
                        </div>
                    </div><!-- end portfolio-box -->
                </div>
                <?php endwhile;?>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>
    <!-- end Portfolio -->
<?php
    get_footer();
?>